# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-auth/pam_ssh/pam_ssh-1.91.ebuild,v 1.2 2005/07/05 19:43:00 azarah Exp $

DESCRIPTION="PAM module that provides auto blacklisting of hosts and users
responsible for repeated failed authentication attempts."
HOMEPAGE="http://pam-abl.sourceforge.net/"
SRC_URI="mirror://sourceforge/pam-abl/${P}.tar.gz"
RESTRICT="nomirror"
LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86"
IUSE=""

DEPEND="sys-libs/pam
	sys-libs/db"

RDEPEND="sys-libs/pam"

src_unpack() {
	mkdir -p "${WORKDIR}";
	cd "${WORKDIR}"
	tar xvfz "${DISTDIR}/${A}" 2> /dev/null
	mv pam_abl "$P"

	cd "$P"
	patch -p1 < ${FILESDIR}/Makefile-${PV}.patch
}

src_compile() {
	emake || die "compile failed"
}

src_install() {
	dodir /lib/security
	dodir /etc
	dodir /usr/bin

	einstall ROOTDIR=${D}

#	einstall DESTDIR=${D} || die "install failed"
	dodoc Copyright AUTHORS COPYING NEWS README THANKS conf/ conf/pam_abl.conf conf/system-auth 
	dohtml doc/copying.html doc/index.html doc/pam_abl.html doc/style.css
}

pkg_postinst() {
	einfo "You can find an example system-auth file that uses this"
	einfo "library in /usr/share/doc/${PF}, as well as a pam_abl.conf"
}

